Bug 542711

Summary: doc: "Installing Publican on Ubuntu" section is misleading
Product: [Community] Publican Reporter: LINBIT <partner>
Component: publicanAssignee: Jeff Fearn <jfearn>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 1.6CC: jfearn, mmcallis, nb, publican-list, r.landmann
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://jfearn.fedorapeople.org/Publican/chap-Users_Guide-Installing_Publican.html#sect-Users_Guide-Installing_Publican_on_Linux_operating_systems-Installing_Publican_on_Ubuntu
Whiteboard:
Fixed In Version: 1.3-0.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-09 23:15:14 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description LINBIT 2009-11-30 11:12:49 EST
Description of problem:

The section on installing Publican on Ubuntu is correct in terms of the commands listed, but won't work as Publican is currently not in any Ubuntu repositories (see http://packages.ubuntu.com/search?keywords=publican). For this to work, you'd either have to set up an APT repository containing Ubuntu packages, or get Publican into the official Ubuntu repositories.

Feel free to steal my repo from http://people.linbit.com/~florian/ubuntu/publican/ if you'd like.

Version-Release number of selected component (if applicable):
User's Guide Edition 1.1
Comment 1 Jeff Fearn 2009-12-02 01:40:49 EST
(In reply to comment #0)
> Description of problem:
> 
> The section on installing Publican on Ubuntu is correct in terms of the
> commands listed, but won't work as Publican is currently not in any Ubuntu
> repositories (see http://packages.ubuntu.com/search?keywords=publican). 

Hey, this gets a result now ...
Comment 2 LINBIT 2009-12-02 06:00:43 EST
For real? I get

"You have searched for packages that names contain publican in all suites, all sections, and all architectures."

"Sorry, your search gave no results"

What did you get?
Comment 3 Jeff Fearn 2009-12-02 17:24:30 EST
You have searched for packages that names contain publican in all suites, all sections, and all architectures. Found 1 matching packages.
Exact hits
Package publican

    * lucid (perl): Tool for publishing material authored in DocBook XML [universe]
      1.0~20090927-2: all
Comment 4 Ruediger Landmann 2009-12-03 00:56:44 EST
So for "apt-get install" to work on a current Debian or Ubuntu system, the right repos need to be enabled. I've updated the Users Guide to tell people how to do this (and how and why to disable these repos again when they're done installing!)

Ubuntu instructions here:

http://rlandmann.fedorapeople.org/pug/chap-Users_Guide-Installing_Publican.html#sect-Users_Guide-Installing_Publican_on_Linux_operating_systems-Installing_Publican_on_Ubuntu

Debian instructions here:

http://rlandmann.fedorapeople.org/pug/chap-Users_Guide-Installing_Publican.html#sect-Users_Guide-Installing_Publican_on_Linux_operating_systems-Installing_Publican_on_Debian

I don't know why Ubuntu couldn't install Publican without installing Fop first; but installing Fop separately did then allow me to install Publican successfully (on Kubuntu 9.10).
Comment 5 Fedora Update System 2009-12-07 21:15:21 EST
publican-1.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc12
Comment 6 Fedora Update System 2009-12-07 21:18:40 EST
publican-1.3-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc11
Comment 7 Fedora Update System 2009-12-09 23:14:17 EST
publican-1.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-12-09 23:27:07 EST
publican-1.3-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.